'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _cspaceInput = require('cspace-input');

var _cspaceLayout = require('cspace-layout');

var _cspaceRefname = require('cspace-refname');

var _DateInputContainer = require('../containers/input/DateInputContainer');

var _DateInputContainer2 = _interopRequireDefault(_DateInputContainer);

var _IDGeneratorInputContainer = require('../containers/input/IDGeneratorInputContainer');

var _IDGeneratorInputContainer2 = _interopRequireDefault(_IDGeneratorInputContainer);

var _AutocompleteInputContainer = require('../containers/input/AutocompleteInputContainer');

var _AutocompleteInputContainer2 = _interopRequireDefault(_AutocompleteInputContainer);

var _OptionPickerInputContainer = require('../containers/input/OptionPickerInputContainer');

var _OptionPickerInputContainer2 = _interopRequireDefault(_OptionPickerInputContainer);

var _StructuredDateInputContainer = require('../containers/input/StructuredDateInputContainer');

var _StructuredDateInputContainer2 = _interopRequireDefault(_StructuredDateInputContainer);

var _TermPickerInputContainer = require('../containers/input/TermPickerInputContainer');

var _TermPickerInputContainer2 = _interopRequireDefault(_TermPickerInputContainer);

var _PanelContainer = require('../containers/layout/PanelContainer');

var _PanelContainer2 = _interopRequireDefault(_PanelContainer);

var _Field = require('../components/record/Field');

var _Field2 = _interopRequireDefault(_Field);

var _HierarchyInput = require('../components/record/HierarchyInput');

var _HierarchyInput2 = _interopRequireDefault(_HierarchyInput);

var _InputTable = require('../components/record/InputTable');

var _InputTable2 = _interopRequireDefault(_InputTable);

var _dataTypes = require('../constants/dataTypes');

var dataTypes = _interopRequireWildcard(_dataTypes);

var _withBooleanValue = require('../enhancers/withBooleanValue');

var _withBooleanValue2 = _interopRequireDefault(_withBooleanValue);

var _configHelpers = require('../helpers/configHelpers');

var _recordDataHelpers = require('../helpers/recordDataHelpers');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BaseCheckboxInput = _cspaceInput.components.CheckboxInput,
    CompoundInput = _cspaceInput.components.CompoundInput,
    TextInput = _cspaceInput.components.TextInput;


var AutocompleteInput = _AutocompleteInputContainer2.default;
var IDGeneratorInput = _IDGeneratorInputContainer2.default;
var DateInput = _DateInputContainer2.default;
var OptionPickerInput = _OptionPickerInputContainer2.default;
var StructuredDateInput = _StructuredDateInputContainer2.default;
var TermPickerInput = _TermPickerInputContainer2.default;
var CheckboxInput = (0, _withBooleanValue2.default)(BaseCheckboxInput);

exports.default = function () {
  return {
    dataTypes: dataTypes,
    lib: {
      Immutable: _immutable2.default,
      React: _react2.default
    },
    inputComponents: {
      AutocompleteInput: AutocompleteInput,
      CheckboxInput: CheckboxInput,
      CompoundInput: CompoundInput,
      DateInput: DateInput,
      HierarchyInput: _HierarchyInput2.default,
      IDGeneratorInput: IDGeneratorInput,
      OptionPickerInput: OptionPickerInput,
      StructuredDateInput: StructuredDateInput,
      TextInput: TextInput,
      TermPickerInput: TermPickerInput
    },
    layoutComponents: {
      Col: _cspaceLayout.Col,
      Cols: _cspaceLayout.Cols,
      Panel: _PanelContainer2.default,
      Row: _cspaceLayout.Row
    },
    recordComponents: {
      Field: _Field2.default,
      InputTable: _InputTable2.default
    },
    configHelpers: {
      configKey: _configHelpers.configKey
    },
    recordDataHelpers: {
      deepGet: _recordDataHelpers.deepGet,
      getPart: _recordDataHelpers.getPart,
      getPartPropertyName: _recordDataHelpers.getPartPropertyName
    },
    refNameHelpers: {
      getDisplayName: _cspaceRefname.getDisplayName
    }
  };
};