'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _cspaceRefname = require('cspace-refname');

var _formatHelpers = require('../../../helpers/formatHelpers');

exports.default = {
  default: [{
    name: 'acquisitionReferenceNumber',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.acquisition.default.acquisitionReferenceNumber',
        'defaultMessage': 'Acquisition reference number'
      }
    }),
    sortBy: 'acquisitions_common:acquisitionReferenceNumber',
    width: 250
  }, {
    name: 'acquisitionSource',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.acquisition.default.acquisitionSource',
        'defaultMessage': 'Acquisition source'
      }
    }),
    formatValue: function formatValue(value) {
      return (0, _cspaceRefname.getDisplayName)(value);
    },
    sortBy: 'acquisitions_common:acquisitionSources/0/acquisitionSource',
    width: 400
  }, {
    name: 'updatedAt',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.acquisition.default.updatedAt',
        'defaultMessage': 'Updated'
      }
    }),
    formatValue: _formatHelpers.formatTimestamp,
    sortBy: 'collectionspace_core:updatedAt',
    width: 150
  }]
};