'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

exports.default = function (pluginContext) {
  var _completenessGroup, _completenessGroupLis, _conditionCheckGroup, _conditionCheckGroupL, _envConditionNoteGrou, _envConditionNoteGrou2, _techAssessmentGroup, _techAssessmentGroupL, _hazardGroup, _hazardGroupList, _salvagePriorityCodeG, _salvagePriorityCodeG2, _legalReqsHeldGroup, _legalReqsHeldGroupLi, _ns2Conditionchecks_, _document;

  var _pluginContext$inputC = pluginContext.inputComponents,
      CompoundInput = _pluginContext$inputC.CompoundInput,
      DateInput = _pluginContext$inputC.DateInput,
      OptionPickerInput = _pluginContext$inputC.OptionPickerInput,
      TextInput = _pluginContext$inputC.TextInput,
      AutocompleteInput = _pluginContext$inputC.AutocompleteInput,
      IDGeneratorInput = _pluginContext$inputC.IDGeneratorInput;
  var config = pluginContext.configHelpers.configKey;
  var DATA_TYPE_DATETIME = pluginContext.dataTypes.DATA_TYPE_DATETIME;


  return {
    document: (_document = {}, _defineProperty(_document, config, {
      view: {
        type: CompoundInput,
        props: {
          defaultChildSubpath: 'ns2:conditionchecks_common'
        }
      }
    }), _defineProperty(_document, 'ns2:collectionspace_core', {
      createdAt: _defineProperty({}, config, {
        dataType: DATA_TYPE_DATETIME,
        view: {
          type: DateInput
        }
      }),
      createdBy: _defineProperty({}, config, {
        view: {
          type: TextInput
        }
      }),
      updatedAt: _defineProperty({}, config, {
        dataType: DATA_TYPE_DATETIME,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionspace_core.updatedAt.name',
            'defaultMessage': 'Last updated time'
          }
        }),
        view: {
          type: DateInput
        }
      }),
      updatedBy: _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionspace_core.updatedBy.name',
            'defaultMessage': 'Last updated by'
          }
        }),
        view: {
          type: TextInput
        }
      })
    }), _defineProperty(_document, 'ns2:conditionchecks_common', (_ns2Conditionchecks_ = {}, _defineProperty(_ns2Conditionchecks_, config, {
      service: {
        ns: 'http://collectionspace.org/services/conditioncheck'
      }
    }), _defineProperty(_ns2Conditionchecks_, 'objectAuditCategory', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.objectAuditCategory.name',
          'defaultMessage': 'Object audit category'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'objectAuditCategory'
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'completenessGroupList', (_completenessGroupLis = {}, _defineProperty(_completenessGroupLis, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.completenessGroupList.name',
          'defaultMessage': 'Completeness'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_completenessGroupLis, 'completenessGroup', (_completenessGroup = {}, _defineProperty(_completenessGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_completenessGroup, 'completeness', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.completeness.name',
          'defaultMessage': 'Completeness'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'completeness'
        }
      }
    })), _defineProperty(_completenessGroup, 'completenessDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.completenessDate.name',
          'defaultMessage': 'Completeness date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_completenessGroup, 'completenessNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.completenessNote.name',
          'defaultMessage': 'Completeness note'
        }
      }),
      view: {
        type: TextInput
      }
    })), _completenessGroup)), _completenessGroupLis)), _defineProperty(_ns2Conditionchecks_, 'conditionCheckGroupList', (_conditionCheckGroupL = {}, _defineProperty(_conditionCheckGroupL, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.conditionCheckGroupList.name',
          'defaultMessage': 'Condition'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_conditionCheckGroupL, 'conditionCheckGroup', (_conditionCheckGroup = {}, _defineProperty(_conditionCheckGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_conditionCheckGroup, 'condition', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.condition.name',
          'defaultMessage': 'Condition'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'condition'
        }
      }
    })), _defineProperty(_conditionCheckGroup, 'conditionDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.conditionDate.name',
          'defaultMessage': 'Condition date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_conditionCheckGroup, 'conditionNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.conditionNote.name',
          'defaultMessage': 'Condition note'
        }
      }),
      view: {
        type: TextInput
      }
    })), _conditionCheckGroup)), _conditionCheckGroupL)), _defineProperty(_ns2Conditionchecks_, 'conservationTreatmentPriority', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.conservationTreatmentPriority.name',
          'defaultMessage': 'Conservation treatment priority'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'conservationTreatmentPriority'
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'envConditionNoteGroupList', (_envConditionNoteGrou2 = {}, _defineProperty(_envConditionNoteGrou2, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.envConditionNoteGroupList.name',
          'defaultMessage': 'Environmental condition note'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_envConditionNoteGrou2, 'envConditionNoteGroup', (_envConditionNoteGrou = {}, _defineProperty(_envConditionNoteGrou, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_envConditionNoteGrou, 'envConditionNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.envConditionNote.name',
          'defaultMessage': 'Environmental condition note'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_envConditionNoteGrou, 'envConditionNoteDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.envConditionNoteDate.name',
          'defaultMessage': 'Environmental condition date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _envConditionNoteGrou)), _envConditionNoteGrou2)), _defineProperty(_ns2Conditionchecks_, 'nextConditionCheckDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.nextConditionCheckDate.name',
          'defaultMessage': 'Next condition/assessment date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_ns2Conditionchecks_, 'techAssessmentGroupList', (_techAssessmentGroupL = {}, _defineProperty(_techAssessmentGroupL, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.techAssessmentGroupList.name',
          'defaultMessage': 'Technical assessment'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_techAssessmentGroupL, 'techAssessmentGroup', (_techAssessmentGroup = {}, _defineProperty(_techAssessmentGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_techAssessmentGroup, 'techAssessment', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.techAssessment.name',
          'defaultMessage': 'Technical assessment'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_techAssessmentGroup, 'techAssessmentDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.techAssessmentDate.name',
          'defaultMessage': 'Technical assessment date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _techAssessmentGroup)), _techAssessmentGroupL)), _defineProperty(_ns2Conditionchecks_, 'hazardGroupList', (_hazardGroupList = {}, _defineProperty(_hazardGroupList, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.hazardGroupList.name',
          'defaultMessage': 'Hazard'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_hazardGroupList, 'hazardGroup', (_hazardGroup = {}, _defineProperty(_hazardGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_hazardGroup, 'hazard', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.hazard.name',
          'defaultMessage': 'Hazard'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'hazard'
        }
      }
    })), _defineProperty(_hazardGroup, 'hazardDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.hazardDate.name',
          'defaultMessage': 'Hazard date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_hazardGroup, 'hazardNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.hazardNote.name',
          'defaultMessage': 'Hazard note'
        }
      }),
      view: {
        type: TextInput
      }
    })), _hazardGroup)), _hazardGroupList)), _defineProperty(_ns2Conditionchecks_, 'conditionCheckAssessmentDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.conditionCheckAssessmentDate.name',
          'defaultMessage': 'Condition check/assessment date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_ns2Conditionchecks_, 'conditionCheckMethod', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.conditionCheckMethod.name',
          'defaultMessage': 'Condition check/assessment method'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'conditionCheckMethod'
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'conditionCheckNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.conditionCheckNote.name',
          'defaultMessage': 'Condition check/assessment note'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'conditionCheckReason', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.conditionCheckReason.name',
          'defaultMessage': 'Condition check/assessment reason'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'conditionCheckReason'
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'conditionCheckRefNumber', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.conditionCheckRefNumber.name',
          'defaultMessage': 'Condition check/assessment reference number'
        }
      }),
      required: true,
      searchView: {
        type: TextInput
      },
      view: {
        type: IDGeneratorInput,
        props: {
          idGeneratorName: 'conditioncheck'
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'conditionChecker', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.conditionChecker.name',
          'defaultMessage': 'Condition checker/assessor'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'person/local,person/shared,organization/local,organization/shared'
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'displayRecommendations', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.displayRecommendations.name',
          'defaultMessage': 'Display recommendations'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'envRecommendations', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.envRecommendations.name',
          'defaultMessage': 'Environmental recommendations'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'handlingRecommendations', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.handlingRecommendations.name',
          'defaultMessage': 'Handling recommendations'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'packingRecommendations', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.packingRecommendations.name',
          'defaultMessage': 'Packing recommendations'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'securityRecommendations', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.securityRecommendations.name',
          'defaultMessage': 'Security recommendations'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'specialRequirements', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.specialRequirements.name',
          'defaultMessage': 'Special requirements'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'storageRequirements', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.storageRequirements.name',
          'defaultMessage': 'Storage recommendations'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'legalRequirements', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.legalRequirements.name',
          'defaultMessage': 'Legal requirements'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Conditionchecks_, 'salvagePriorityCodeGroupList', (_salvagePriorityCodeG2 = {}, _defineProperty(_salvagePriorityCodeG2, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.salvagePriorityCodeGroupList.name',
          'defaultMessage': 'Salvage priority code'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_salvagePriorityCodeG2, 'salvagePriorityCodeGroup', (_salvagePriorityCodeG = {}, _defineProperty(_salvagePriorityCodeG, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_salvagePriorityCodeG, 'salvagePriorityCode', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.salvagePriorityCode.name',
          'defaultMessage': 'Salvage priority code'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'salvagePriorityCode'
        }
      }
    })), _defineProperty(_salvagePriorityCodeG, 'salvagePriorityCodeDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.salvagePriorityCodeDate.name',
          'defaultMessage': 'Salvage priority code date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _salvagePriorityCodeG)), _salvagePriorityCodeG2)), _defineProperty(_ns2Conditionchecks_, 'legalReqsHeldGroupList', (_legalReqsHeldGroupLi = {}, _defineProperty(_legalReqsHeldGroupLi, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.legalReqsHeldGroupList.name',
          'defaultMessage': 'Legal/license requirements held'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_legalReqsHeldGroupLi, 'legalReqsHeldGroup', (_legalReqsHeldGroup = {}, _defineProperty(_legalReqsHeldGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_legalReqsHeldGroup, 'legalReqsHeld', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.legalReqsHeld.name',
          'defaultMessage': 'Legal/license requirements held'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_legalReqsHeldGroup, 'legalReqsHeldBeginDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.legalReqsHeldBeginDate.name',
          'defaultMessage': 'Legal/license requirements held begin date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_legalReqsHeldGroup, 'legalReqsHeldEndDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.legalReqsHeldEndDate.name',
          'defaultMessage': 'Legal/license requirements held begin date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_legalReqsHeldGroup, 'legalReqsHeldNumber', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.legalReqsHeldNumber.name',
          'defaultMessage': 'Legal/license requirements held number'
        }
      }),
      view: {
        type: TextInput
      }
    })), _defineProperty(_legalReqsHeldGroup, 'legalReqsHeldRenewDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.conditionchecks_common.legalReqsHeldRenewDate.name',
          'defaultMessage': 'Legal/license requirements held begin date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _legalReqsHeldGroup)), _legalReqsHeldGroupLi)), _ns2Conditionchecks_)), _document)
  };
};