"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var template = function template(pluginContext) {
  var React = pluginContext.lib.React;
  var _pluginContext$layout = pluginContext.layoutComponents,
      Col = _pluginContext$layout.Col,
      Cols = _pluginContext$layout.Cols,
      Panel = _pluginContext$layout.Panel,
      Row = _pluginContext$layout.Row;
  var _pluginContext$record = pluginContext.recordComponents,
      Field = _pluginContext$record.Field,
      InputTable = _pluginContext$record.InputTable;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "objectEntryInfo", collapsible: true },
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "entryNumber" }),
        React.createElement(Field, { name: "returnDate" })
      ),
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "entryDate" }),
        React.createElement(Field, { name: "currentOwner" })
      ),
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "entryReason" }),
        React.createElement(
          InputTable,
          null,
          React.createElement(Field, { name: "depositor" }),
          React.createElement(Field, { name: "depositorsRequirements" })
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "entryMethods", label: "" },
            React.createElement(Field, { name: "entryMethod" })
          )
        ),
        React.createElement(Col, null)
      ),
      React.createElement(Field, { name: "entryNote" }),
      React.createElement(Field, { name: "packingNote" })
    ),
    React.createElement(
      Panel,
      { name: "objectCollectionInfo", collapsible: true },
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "fieldCollectionDate" }),
        React.createElement(Field, { name: "fieldCollectionPlace" })
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "fieldCollectionMethods", label: "" },
            React.createElement(Field, { name: "fieldCollectionMethod" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "fieldCollectionSources", label: "" },
            React.createElement(Field, { name: "fieldCollectionSource" })
          )
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "fieldCollectionEventNames", label: "" },
            React.createElement(Field, { name: "fieldCollectionEventName" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "fieldCollectors", label: "" },
            React.createElement(Field, { name: "fieldCollector" })
          )
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "fieldCollectionNumber" })
        ),
        React.createElement(Col, null)
      ),
      React.createElement(Field, { name: "fieldCollectionNote" })
    ),
    React.createElement(
      Panel,
      { name: "valuation", collapsible: true },
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "valuer" }),
        React.createElement(Field, { name: "valuationReferenceNumber" })
      )
    ),
    React.createElement(
      Panel,
      { name: "insurance", collapsible: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "insurers", label: "" },
            React.createElement(Field, { name: "insurer" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "insuranceReferenceNumber" })
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "insurancePolicyNumber" }),
        React.createElement(Field, { name: "insuranceRenewalDate" })
      ),
      React.createElement(Field, { name: "insuranceNote" })
    ),
    React.createElement(
      Panel,
      { name: "location", collapsible: true },
      React.createElement(
        Field,
        { name: "currentLocationGroupList" },
        React.createElement(
          Field,
          { name: "currentLocationGroup" },
          React.createElement(Field, { name: "currentLocation" }),
          React.createElement(Field, { name: "currentLocationFitness" }),
          React.createElement(Field, { name: "currentLocationNote" })
        )
      ),
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "locationDate" }),
        React.createElement(Field, { name: "normalLocation" })
      )
    ),
    React.createElement(
      Panel,
      { name: "condition", collapsible: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "conditionCheckMethods", label: "" },
            React.createElement(Field, { name: "conditionCheckMethod" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "conditionCheckDate" })
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "conditionCheckReasons", label: "" },
            React.createElement(Field, { name: "conditionCheckReason" })
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "conditionCheckReferenceNumber" })
        )
      ),
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "conditionCheckersOrAssessors", label: "" },
            React.createElement(Field, { name: "conditionCheckerOrAssessor" })
          )
        ),
        React.createElement(Col, null)
      ),
      React.createElement(Field, { name: "conditionCheckNote" })
    )
  );
};

exports.default = function (pluginContext) {
  return {
    template: template(pluginContext)
  };
};