'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

var _cspaceRefname = require('cspace-refname');

var _formatHelpers = require('../../../helpers/formatHelpers');

exports.default = {
  default: [{
    name: 'loanInNumber',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.loanin.default.loanInNumber',
        'defaultMessage': 'Loan In Number'
      }
    }),
    sortBy: 'loansin_common:loanInNumber',
    width: 250
  }, {
    name: 'lender',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.loanin.default.lender',
        'defaultMessage': 'Lender'
      }
    }),
    formatValue: function formatValue(value) {
      return (0, _cspaceRefname.getDisplayName)(value);
    },
    sortBy: 'loansin_common:lender',
    width: 400
  }, {
    name: 'updatedAt',
    messages: (0, _reactIntl.defineMessages)({
      label: {
        'id': 'column.loanin.default.updatedAt',
        'defaultMessage': 'Updated'
      }
    }),
    formatValue: _formatHelpers.formatTimestamp,
    sortBy: 'collectionspace_core:updatedAt',
    width: 150
  }]
};