'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

exports.default = function (pluginContext) {
  var _loanStatusGroup, _loanStatusGroupList, _ns2Loansout_common, _document;

  var _pluginContext$inputC = pluginContext.inputComponents,
      CompoundInput = _pluginContext$inputC.CompoundInput,
      DateInput = _pluginContext$inputC.DateInput,
      OptionPickerInput = _pluginContext$inputC.OptionPickerInput,
      TextInput = _pluginContext$inputC.TextInput,
      AutocompleteInput = _pluginContext$inputC.AutocompleteInput,
      IDGeneratorInput = _pluginContext$inputC.IDGeneratorInput,
      TermPickerInput = _pluginContext$inputC.TermPickerInput;
  var config = pluginContext.configHelpers.configKey;
  var DATA_TYPE_DATETIME = pluginContext.dataTypes.DATA_TYPE_DATETIME;


  return {
    document: (_document = {}, _defineProperty(_document, config, {
      view: {
        type: CompoundInput,
        props: {
          defaultChildSubpath: 'ns2:loansout_common'
        }
      }
    }), _defineProperty(_document, 'ns2:collectionspace_core', {
      createdAt: _defineProperty({}, config, {
        dataType: DATA_TYPE_DATETIME,
        view: {
          type: DateInput
        }
      }),
      createdBy: _defineProperty({}, config, {
        view: {
          type: TextInput
        }
      }),
      updatedAt: _defineProperty({}, config, {
        dataType: DATA_TYPE_DATETIME,
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionspace_core.updatedAt.name',
            'defaultMessage': 'Last updated time'
          }
        }),
        view: {
          type: DateInput
        }
      }),
      updatedBy: _defineProperty({}, config, {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.collectionspace_core.updatedBy.name',
            'defaultMessage': 'Last updated by'
          }
        }),
        view: {
          type: TextInput
        }
      })
    }), _defineProperty(_document, 'ns2:loansout_common', (_ns2Loansout_common = {}, _defineProperty(_ns2Loansout_common, config, {
      service: {
        ns: 'http://collectionspace.org/services/loanout'
      }
    }), _defineProperty(_ns2Loansout_common, 'loanOutNumber', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.loanOutNumber.name',
          'defaultMessage': 'Loan out number'
        }
      }),
      required: true,
      searchView: {
        type: TextInput
      },
      view: {
        type: IDGeneratorInput,
        props: {
          idGeneratorName: 'loanout'
        }
      }
    })), _defineProperty(_ns2Loansout_common, 'loanPurpose', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.loanPurpose.name',
          'defaultMessage': 'Loan purpose'
        }
      }),
      view: {
        type: OptionPickerInput,
        props: {
          source: 'loanPurposes'
        }
      }
    })), _defineProperty(_ns2Loansout_common, 'lendersAuthorizer', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.lendersAuthorizer.name',
          'defaultMessage': 'Lender\'s authorizer'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'person/local,person/shared'
        }
      }
    })), _defineProperty(_ns2Loansout_common, 'lendersContact', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.lendersContact.name',
          'defaultMessage': 'Lender\'s contact'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'person/local,person/shared'
        }
      }
    })), _defineProperty(_ns2Loansout_common, 'lendersAuthorizationDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.lendersAuthorizationDate.name',
          'defaultMessage': 'Lender\'s authorization date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_ns2Loansout_common, 'borrower', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.borrower.name',
          'defaultMessage': 'Borrower'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'person/local,person/shared,organization/local,organization/shared'
        }
      }
    })), _defineProperty(_ns2Loansout_common, 'borrowersContact', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.borrowersContact.name',
          'defaultMessage': 'Borrower\'s contact'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'person/local,person/shared'
        }
      }
    })), _defineProperty(_ns2Loansout_common, 'borrowersAuthorizer', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.borrowersAuthorizer.name',
          'defaultMessage': 'Borrower\'s authorizer'
        }
      }),
      view: {
        type: AutocompleteInput,
        props: {
          source: 'person/local,person/shared'
        }
      }
    })), _defineProperty(_ns2Loansout_common, 'borrowersAuthorizationDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.borrowersAuthorizationDate.name',
          'defaultMessage': 'Borrower\'s authorization date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_ns2Loansout_common, 'specialConditionsOfLoan', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.specialConditionsOfLoan.name',
          'defaultMessage': 'Loan out conditions'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Loansout_common, 'loanOutNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.loanOutNote.name',
          'defaultMessage': 'Loan out note'
        }
      }),
      view: {
        type: TextInput,
        props: {
          multiline: true
        }
      }
    })), _defineProperty(_ns2Loansout_common, 'loanStatusGroupList', (_loanStatusGroupList = {}, _defineProperty(_loanStatusGroupList, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.loanStatusGroupList.name',
          'defaultMessage': 'Loan status'
        }
      }),
      view: {
        type: CompoundInput
      }
    }), _defineProperty(_loanStatusGroupList, 'loanStatusGroup', (_loanStatusGroup = {}, _defineProperty(_loanStatusGroup, config, {
      repeating: true,
      view: {
        type: CompoundInput,
        props: {
          tabular: true
        }
      }
    }), _defineProperty(_loanStatusGroup, 'loanStatus', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.loanStatus.name',
          'defaultMessage': 'Loan status'
        }
      }),
      view: {
        type: TermPickerInput,
        props: {
          source: 'loanoutstatus'
        }
      }
    })), _defineProperty(_loanStatusGroup, 'loanStatusDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.loanStatusDate.name',
          'defaultMessage': 'Loan status date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_loanStatusGroup, 'loanStatusNote', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.loanStatusNote.name',
          'defaultMessage': 'Loan status note'
        }
      }),
      view: {
        type: TextInput
      }
    })), _loanStatusGroup)), _loanStatusGroupList)), _defineProperty(_ns2Loansout_common, 'loanOutDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.loanOutDate.name',
          'defaultMessage': 'Loan out date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_ns2Loansout_common, 'loanReturnDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.loanReturnDate.name',
          'defaultMessage': 'Loan return date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _defineProperty(_ns2Loansout_common, 'loanRenewalApplicationDate', _defineProperty({}, config, {
      messages: (0, _reactIntl.defineMessages)({
        name: {
          'id': 'field.loansout_common.loanRenewalApplicationDate.name',
          'defaultMessage': 'Loan renewal application date'
        }
      }),
      view: {
        type: DateInput
      }
    })), _ns2Loansout_common)), _document)
  };
};